﻿Imports System
Imports System.ComponentModel
Imports System.IO
Imports System.Web.UI.WebControls

' This class represents the "instructions" floating panel.
<ToolboxItem(False)> _
Public Class DescriptionPanel
    Inherits Panel
    Protected Overloads Overrides Sub OnPreRender(ByVal e As System.EventArgs)
        Dim reader As StreamReader = File.OpenText(Page.MapPath("~/helper/DescriptionPanel.js"))
        Dim script As String = reader.ReadToEnd()
        reader.Close()
        Page.ClientScript.RegisterClientScriptBlock([GetType](), "PanelScript", script, True)
        MyBase.OnPreRender(e)
    End Sub

    Protected Overloads Overrides Sub Render(ByVal writer As System.Web.UI.HtmlTextWriter)
        Dim reader As StreamReader = File.OpenText(Page.MapPath("~/helper/DescriptionPanel.htm"))
        Dim script As String() = reader.ReadToEnd().Split(New String() {"<!--Split-->"}, StringSplitOptions.RemoveEmptyEntries)
        reader.Close()
        writer.WriteLine(script(0).Trim())
        MyBase.Render(writer)
        writer.WriteLine(script(1).Trim())
    End Sub
End Class
